---
kind: pipeline
name: default

steps:
  - name: build
    image: node
    commands:
      - npm install -g gulp
      - npm install
      - gulp
    when:
      event: push

  - name: update
    image: appleboy/drone-git-push
    settings:
      branch: master
      remote: gitea@gitea.rknet.org:xoxys/theme-geeklab.git
      commit: true
      commit-message: "[SKIP CI] update artifacts"
      force: false
      key:
        from_secret: git_push_ssh_key
      author_name: DroneShipper
      author_email: shipper@rknet.org
    when:
      event: push
